View Issue Details

IDProjectCategoryView StatusLast Update
0003540PartDesignBugpublic2018-09-21 13:15
Reporterchrisb Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target Version0.18Fixed in Version0.18 
Summary0003540: Body invisible after deleting Part container
DescriptionIf I have a Part contaner that contains a body and I delete the Part without deleting its contents, the the body becomes invisible until it is reloaded.
Corresponding forum discussion
Steps To Reproduce- Open the file attached to the first forum post
- delete Part, say "no" to deleting the contents too

Now body is invisible.
TagsNo tags attached.

Activities

Kunda1

2018-07-27 14:06

administrator   ~0011551

Issue was confirmed in forum thread.

normandc

2018-09-03 08:19

manager   ~0011694

There is a similar issue with the PartDesign Boolean feature. If one deletes a PD Boolean feature, the Body that was used as Tool remains invisible. A new view (View --> New view menu) is the only way to make the Body visible in the 3D view again.

Not sure if this should be treated as a separate issue.

wmayer

2018-09-21 13:15

administrator   ~0011802

https://github.com/FreeCAD/FreeCAD/commit/75acfe898f97d213647b0b93032287e48a31abfe

Issue History

Date Modified Username Field Change
2018-07-16 23:41 chrisb New Issue
2018-07-27 14:06 Kunda1 Status new => confirmed
2018-07-27 14:06 Kunda1 Note Added: 0011551
2018-07-27 14:06 Kunda1 Target Version => 0.18
2018-09-03 08:19 normandc Note Added: 0011694
2018-09-21 13:14 wmayer Severity tweak => minor
2018-09-21 13:15 wmayer Assigned To => wmayer
2018-09-21 13:15 wmayer Status confirmed => closed
2018-09-21 13:15 wmayer Resolution open => fixed
2018-09-21 13:15 wmayer Fixed in Version => 0.18
2018-09-21 13:15 wmayer Note Added: 0011802